--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: messages
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: mode
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: warning
comment: 
constants: []

full_name: Mocha::Deprecation
includes: []

instance_methods: []

name: Deprecation
superclass: Object
